qgpgme (2.0.0-3) unstable; urgency=medium

  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Thu, 13 Nov 2025 16:49:12 +0100

qgpgme (2.0.0-2) experimental; urgency=medium

  * Add Build-Conflicts with gpg-from-sq. (see# 1117186)
  * Pull post-release fixes from upstream GIT.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 04 Oct 2025 14:58:25 +0200

qgpgme (2.0.0-1) experimental; urgency=low

  * New upstream version, split-off from gpgme.
  * Update copyright file, using cme.
  * Standards-Version: 4.7.2, no changes.
  * drop unnecessary debian/clean.
  * Version qt6-base-dev b-d, current stable is not new enough.
  * cleanup filter pattern in gbp.conf.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 08 Jun 2025 15:05:52 +0200

gpgme1.0 (1.24.2-3) unstable; urgency=medium

  * Fix hanging state machine.
    https://dev.gnupg.org/T7600 Fix picked from gpgme-1.24-branch
  * Fix 64bit time_t overflow bug on 32 bit archs (Closes: #1103787) (Also
    from upstream gpgme-1.24-branch)

 -- Andreas Metzler <ametzler@debian.org>  Wed, 07 May 2025 17:49:48 +0200

gpgme1.0 (1.24.2-2) unstable; urgency=medium

  * Adapt testsuite to changed gnupg 2.4 defaults in Debian.
    (Closes: #1103189)

 -- Andreas Metzler <ametzler@debian.org>  Sun, 20 Apr 2025 12:08:55 +0200

gpgme1.0 (1.24.2-1) unstable; urgency=medium

  * New upstream version.
    + Drop superfluous patches, unfuzz.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 16 Feb 2025 13:32:04 +0100

gpgme1.0 (1.24.1-4) unstable; urgency=high

  * Fix regression in 1.24.1 for RSA in gpgme_pubkey_algo_string.
    https://dev.gnupg.org/T7508

 -- Andreas Metzler <ametzler@debian.org>  Thu, 06 Feb 2025 06:53:51 +0100

gpgme1.0 (1.24.1-3) unstable; urgency=medium

  * Cherry-pick fix for testsuite timebomb from upstream (Closes: 1091499)

 -- Andreas Metzler <ametzler@debian.org>  Sat, 01 Feb 2025 13:16:51 +0100

gpgme1.0 (1.24.1-2) unstable; urgency=low

  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Mon, 23 Dec 2024 11:36:48 +0100

gpgme1.0 (1.24.1-1) experimental; urgency=low

  * New upstream version.
  * Update libgpgme11t64 symbol file for extension of gpgme_pubkey_algo_t.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 14 Dec 2024 07:42:09 +0100

gpgme1.0 (1.24.0-2) unstable; urgency=low

  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Wed, 13 Nov 2024 17:47:53 +0100

gpgme1.0 (1.24.0-1) experimental; urgency=medium

  * New upstream version.
  * Update patches for 1.24.0, drop superfluous ones.
  * Run wrap-and-sort -ast
  * Ship newly available gpgmepp pkg-config file in libgpgmepp-dev.
  * Add new symbols to libgpgme11t64 symbol file.
  * Simplify package build/test/install. 1.24.0 supports building qt5 and
    qt6 bindings in one go.
  * Update copyright info for 1.24.0.
  * Ship newly available upstream version of gpgme-json.1.  Also add a b-d on
    gpgrt-tools since yat2m is needed to generate the manpage.

 -- Andreas Metzler <ametzler@debian.org>  Mon, 11 Nov 2024 13:28:58 +0100

gpgme1.0 (1.23.2-5) unstable; urgency=low

  * Add b-d on python3-setuptools. Closes: #1080871
  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 20 Oct 2024 14:29:00 +0200

gpgme1.0 (1.23.2-4) experimental; urgency=medium

  [ Sébastien Noel ]
  * Add a new gpgme-json package. Closes: #911189,#1028160

  [ Daniel Kahn Gillmor ]
  * clean up build-qt6/
  * update copyright years in gpgme-json.1
  * wrap-and-sort -ast

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Tue, 03 Sep 2024 19:16:58 -0400

gpgme1.0 (1.23.2-3) experimental; urgency=medium

  * tell gpg to --verify (Closes: #1080430)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Tue, 03 Sep 2024 18:28:07 -0400

gpgme1.0 (1.23.2-2) experimental; urgency=medium

  * Add dependency on libgpg-error-dev to libgpgmepp-dev.  Closes: #1078464
  * Cherry-pick patch from upstream GIT master to fix FTBFS against
    python3-setuptools 73.0.1 Closes: #1079928

 -- Andreas Metzler <ametzler@debian.org>  Tue, 03 Sep 2024 19:19:03 +0200

gpgme1.0 (1.23.2-1) experimental; urgency=low

  * New upstream version.
    + Unfuzz patches, drop cherry-picked patches.
    + Update libgpgme11t64 symbol file.
    + Update copyright info.
  * b-d on pkgconf instead of pkg-config.
  * Use wildcards in no-symbols-control-file overrides.
  * Bump Standards-Version to 4.7.0.
  * Split off libqgpgme-dev (QT5) package from libgpgmepp-dev.
    Closes: #863149
  * Fix README links in lib(q)gpgme development packages (broken by t64
    package rename).
  * Package QT6 bindings, cherrypicking the upstream change to install QT5 and
    QT6 headers in separate directories. Closes: #1073255
  * Update gpgme.m4 from upstream GIT master.
  * Add myself to uploaders.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 10 Aug 2024 13:28:58 +0200

gpgme1.0 (1.18.0-6) unstable; urgency=high

  * Delete outdated m4/libassuan.m4 to allow building against libassuan 3.
  * Cherry-pick patch from upstream GIT master to fix FTBFS against
    python3-setuptools 73.0.1 Closes: #1079928

 -- Andreas Metzler <ametzler@debian.org>  Tue, 03 Sep 2024 19:06:41 +0200

gpgme1.0 (1.18.0-5) unstable; urgency=medium

  * Add dependency on libgpg-error-dev to libgpgmepp-dev. -
    libgpgmepp-dev's error.h #includes gpg-error.h. (Thanks, John Scott)
    Closes: #1078464
  * Let libgpgmepp-dev Provide libqgpgme-dev, the latter has been
    split-off to a separate package in experimental. (See #863149)
  * Add myself to uploaders.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 11 Aug 2024 10:12:45 +0200

gpgme1.0 (1.18.0-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062119

 -- Steve Langasek <vorlon@debian.org>  Wed, 28 Feb 2024 23:10:53 +0000

gpgme1.0 (1.18.0-4) unstable; urgency=medium

  * Team upload.
  * Patch Makefile.am to invoke setup.py with --install-layout=deb and
    --root "$(DESTDIR)" (instead of setting prefix) and adapt paths in
    python3-gpg.install to allow building with python3-setuptools.
    Closes: #1039724, #1054786

 -- Andreas Metzler <ametzler@debian.org>  Wed, 01 Nov 2023 18:11:31 +0100

gpgme1.0 (1.18.0-3) unstable; urgency=medium

  * Acknowledge NMU.  Thanks very much to Andreas Metzler!
  * Refresh patches

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Sun, 20 Nov 2022 18:16:16 -0500

gpgme1.0 (1.18.0-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Cherrypicked from upstream GIT:
    + 0015-build-Prefer-gpgrt-config-when-available.patch,
      0016-gpgme.m4-Include-_AM_PATH_GPGRT_CONFIG-implementatio.patch: Update
      gpgme.m4 to prefer gpgrt-config even if gpgme-config was available and
      to find gpgrt-config when AM_PATH_GPG_ERROR was not used.
    + 0017-doc-Update-documentation-for-gpgme.pc-and-pkg-config.patch:
      Document pkg-config instead of gpgme-config in manual.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 20 Nov 2022 07:16:46 +0100

gpgme1.0 (1.18.0-2) unstable; urgency=medium

  [ Andreas Metzler ]
  * Fix FTBFS after removal of gpg-error-config (Closes: #1022348)
  * gpgme-config not installed anymore

  [ Jelmer Vernooĳ ]
  * debian/upstream/metadata: Set Repository and Repository-Browse.

  [ Daniel Kahn Gillmor ]
  * d/upstream/metadata: add upstream bug reporting details

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Wed, 02 Nov 2022 10:54:12 -0400

gpgme1.0 (1.18.0-1) unstable; urgency=medium

  * new upstream version
    (acknowledge NMU -- thanks, Paul and Alexandre!)
  * d/upstream/signing-key.asc: add gniibe's key (working around #1010955)
  * drop patch already upstream
  * refresh patches
  * Standards-Version: bump to 4.6.1 (no changes needed)
  * update lintian overrides

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Wed, 28 Sep 2022 20:31:10 -0400

gpgme1.0 (1.17.1-4.1) unstable; urgency=medium

  * Non-maintainer upload
  * fix FTBFS caused by missing PYTHON (Closes: #1015995)
    (Original patch by Alexandre Ghiti)

 -- Paul Gevers <elbrus@debian.org>  Tue, 06 Sep 2022 20:59:56 +0200

gpgme1.0 (1.17.1-4) unstable; urgency=medium

  * release to unstable

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Wed, 15 Jun 2022 13:02:47 -0400

gpgme1.0 (1.17.1-3) experimental; urgency=medium

  * adopt upstream patch to fix build in 32-bit platforms

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Sat, 21 May 2022 02:03:55 -0400

gpgme1.0 (1.17.1-2) experimental; urgency=medium

  * avoid -unknown suffix (Closes: #1004742)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Fri, 20 May 2022 23:55:23 -0400

gpgme1.0 (1.17.1-1) experimental; urgency=medium

  * New upstream release
  * move to DEP-14 branch naming
  * drop patches already upstream
  * refresh patches
  * update symbols
  * d/libgpgmepp6.lintian-overrides: update
  * qgpgme: ABI bump: Change from libqgpgme7 to libqgpgme15
  * move to experimental to test transition to libqgpgme15

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Sun, 01 May 2022 01:14:54 -0400

gpgme1.0 (1.16.0-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Patch: Avoid a hardcoded list of known Python versions. (Closes: #998471)

 -- Stefano Rivera <stefanor@debian.org>  Tue, 23 Nov 2021 22:23:52 -0400

gpgme1.0 (1.16.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Cherry-pick upstream fixes for test failures on 32bit archs:
    - d/patches/upstream-e0494c54-fix-use-after-free-in-test.patch
    - d/patches/upstream-72a2487a-expiration-date-as-unsigned.patch
    (Closes: #992922)

 -- Norbert Preining <norbert@preining.info>  Wed, 15 Sep 2021 14:31:55 +0900

gpgme1.0 (1.16.0-1) unstable; urgency=medium

  * new upstream release
  * drop already-upstream patches
  * refresh remaining patches
  * update lintian overrides
  * drop dh-exec, relying instead on debhelper 13 for substitutions

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Mon, 23 Aug 2021 11:07:50 -0400

gpgme1.0 (1.15.1-3) unstable; urgency=medium

  * move back to unstable
  * Standards-Version: bump to 4.6.0 (no changes needed)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Fri, 20 Aug 2021 17:55:28 -0400

gpgme1.0 (1.15.1-2) experimental; urgency=medium

  * Avoid sending --with-keygrip unconditionally (Closes: #984594)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Fri, 05 Mar 2021 22:39:56 -0500

gpgme1.0 (1.15.1-1) experimental; urgency=medium

  * new upstream release
  * update upstream signing key for Werner Koch
  * Standards-Version: bump to 4.5.1 (no changes needed)
  * refresh patches
  * avoid shipping experimental feature GPGME_EXPORTMODE_NOUID
  * update gpg-error dependency to require 1.36
  * refresh lintian overrides
  * update exported symbols to include new expiration and revocation
  * note that patches are forwarded upstream
  * drop directives for missing package python-gpg
  * python3-gpg: ship howto/ folder of examples
  * ship all python example scripts with python3 shebang
  * move to packaging branch debian/experimental

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Fri, 12 Feb 2021 09:52:46 -0500

gpgme1.0 (1.14.0-1) unstable; urgency=medium

  * new upstream release
  * gbp: use debian/sid branch to track unstable
  * refresh patches
  * d/copyright: clean up
  * updated lintian-overrides for new C++ library versions

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Mon, 10 Aug 2020 18:51:50 -0400

gpgme1.0 (1.13.1-9) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * fix test sadness on 32bit systems due to bad bash syntax (Closes: #963782)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Wed, 01 Jul 2020 14:50:20 -0400

gpgme1.0 (1.13.1-8) unstable; urgency=medium

  * 32-bit ulong platforms can ignore failures until 2031 (Closes: #953800)
  * d/changelog: correct closing #952797
  * move to dh 13

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Wed, 24 Jun 2020 15:13:19 -0400

gpgme1.0 (1.13.1-7) unstable; urgency=medium

  [ Helmut Grohne ]
  * Adapt cross building for python3.8 (Closes: #952797)

  [ Daniel Kahn Gillmor ]
  * Mark libgpgmepp-{doc,dev} with Multi-Arch: {foreign,same}

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Mon, 09 Mar 2020 12:55:53 -0400

gpgme1.0 (1.13.1-6) unstable; urgency=medium

  * brown paper bag bugfix to debian/tests :(
  * try to improve reproducibility for generated docs

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 30 Jan 2020 11:37:08 -0500

gpgme1.0 (1.13.1-5) unstable; urgency=medium

  * checky2106 should not cause the build to fail
  * Standards-Version: bump to 4.5.0 (no changes needed)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Wed, 29 Jan 2020 13:27:30 -0500

gpgme1.0 (1.13.1-4) unstable; urgency=medium

  * fix up tests, cover all supported python3 versions

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Tue, 28 Jan 2020 14:06:56 -0500

gpgme1.0 (1.13.1-3) unstable; urgency=medium

  * drop ${python3:Versions} from python3-gpg, i clearly don't know how to
    use it properly.

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 23 Jan 2020 17:46:46 -0500

gpgme1.0 (1.13.1-2) unstable; urgency=medium

  * rebuild, pulling in python 3.8 (Closes: #944774)
   - requires patching upstream, changes to cross-building logic
  * Update standards version to 4.4.1, no changes needed.
  * add buildtime and runtime tests for platform time limits
  * remove python-gpg autopkgtest entirely (Closes: #943390, #943111)
  * update lintian-overrides for untracked C++ symbols
  * fix json tests
  * d/control: drop unused ${shlibs:Depends} from libgpgmepp-dev
  * d/control: added ${python3:Versions} to python3-gpg

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 23 Jan 2020 17:11:25 -0500

gpgme1.0 (1.13.1-1) unstable; urgency=medium

  * new upstream release
  * release to unstable
  * d/{control,gpb.conf}: fix up Vcs branch name for DEP-14
  * make sure to test python decryption and verification
  * Standards-Version: bump to 4.4.0 (no changes needed)
  * Drop python2 support, only build for python3
  * go with upstream python, ignoring intermittent decrypt problems

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Mon, 26 Aug 2019 15:24:31 -0400

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog libqgpgme15t64`.
